## org.h2.java
Class JavaParser

    java.lang.Object
      org.h2.java.JavaParser

    public class JavaParser

extends java.lang.Object

Converts Java to C.

Field Summary
`static boolean` `REF_COUNT` Whether ref-counting is used.
`static boolean` `REF_COUNT_STATIC` Whether ref-counting is used for constants.

Constructor Summary
`JavaParser()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REF_COUNT

    public static final boolean REF_COUNT

  Whether ref-counting is used.

  See Also:
    Constant Field Values

### REF_COUNT_STATIC

    public static final boolean REF_COUNT_STATIC

  Whether ref-counting is used for constants.

  See Also:
    Constant Field Values

Constructor Detail

### JavaParser

    public JavaParser()